MONGOC_CLIENT_GET_MAX_MESSAGE_SIZE(3)

NAME
mongoc_client_get_max_message_size - mongoc_client_get_max_message_size()

SYNOPSIS

int32_t
mongoc_client_get_max_message_size (mongoc_client_t *client);

The mongoc_client_get_max_message_size() returns the maximum message size allowed by the cluster. Until a connection has been made, this will be the default of 40Mb.

DEPRECATED

WARNING: This function is deprecated and should not be used in new code.

PARAMETERS

•   client: A mongoc_client_t.

RETURNS

The server provided max message size, or 40Mb if no connection has been established.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc